<template>
    <!-- TODO: Terminar envio de info a API -->
    <!-- TODO: Configurar validacion de campos  -->
    <v-layout row justify-center>
        <v-dialog v-model="dialogDataProp" width="600px" height="600px">
            <v-card>
                <v-card-title>
                    <span class="headline">Clinia Interna</span>
                </v-card-title>

                <v-card-text style="height: 500px;">

                    <v-flex xs12 md12>
                        <v-text-field v-model="paquete" type="number" label="Numero de Paquete" required></v-text-field>
                    </v-flex>

                    <v-flex xs12 md12>
                        <v-select v-model="consigned" :items="clinicas" item-text="name" item-value="id" label="Clinica de Destino" persistent-hint return-object single-line></v-select>
                    </v-flex>
                    <v-flex xs12 md12>
                        <v-textarea v-model="notes" name="input-7-1" label="Anotaciones"></v-textarea>
                    </v-flex>

                    <upload-image v-model="image" />

                </v-card-text>

                <v-card-actions>
                    <v-spacer></v-spacer>
                    <v-btn color="error" flat @click="closeDialog">
                        Cerrar
                    </v-btn>

                    <v-btn color="primary" flat @click="onUpdate">
                        Ingresar
                    </v-btn>
                </v-card-actions>
            </v-card>
        </v-dialog>
    </v-layout>
</template>

<script>
import UploadImage from '../UploadImage'
import axios from 'axios';
import server from '../../server'

export default {
    name: 'TaskDialogClinicaInterna',
    components: {
        UploadImage
    },
    data() {
        return {
            paquete: '',
            consigned: '',
            notes: '',
            image: null,
            clinicas: [{
                    id: 1,
                    name: 'Clinica Ruben Dario'
                },
                {
                    id: 2,
                    name: 'Clinica Tepeyac'
                },
            ]
        }
    },
    props: {
        dialog: Boolean
    },
    methods: {
        closeDialog() {
            this.clearData()
            this.$emit('close-dialog')
        },
        async onUpdate(e) {
            e.preventDefault();
            const datos = {
                task_id: this.$route.params.id,
                type: 4,
                paquetes: this.paquete,
                consigned_id: this.consigned.id,
                notes: this.notes,
                image: this.image
            }

            await axios.post(`${server}/api/task/clinica-interna/store`, datos, {
                headers: {
                    Authorization: this.$store.getters.getAccessToken
                }
            }).then((rest) => {
                this.setTaskDetail(this.$route.params.id);
                this.closeDialog()
            }).catch(err => {
                console.log(err)
            });

        },
        setTaskDetail(id) {
            this.$store.dispatch('setTaskClinicaInternasDetail', id);
        },
        clearData() {
            this.numero = '';
            this.destino = '';
            this.notes = '';
            this.image = '';
        }
    },
    computed: {
        dialogDataProp: {
            get: function () {
                return this.dialog
            },
            set() {}
        },

    }
}
</script>

<style>

</style>
